Bug 409621 - missing link libgdiplus.so
missing link libgdiplus.so
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgdiplus (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 18:35 EST by Jirka Jurek
Modified: 2009-01-09 00:24 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:24:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aspx page, which doesn't work with currrent libgdiplus (249 bytes, text/plain)
2007-12-03 18:35 EST, Jirka Jurek
no flags Details

  None (edit)
Description Jirka Jurek 2007-12-03 18:35:05 EST
Description of problem: 
There is missing link /usr/lib/libgdiplus,so, which should point to
libgdiplus.so.0.0.0

Version-Release number of selected component (if applicable):
libgdiplus-1.2.5-1.fc8

Additional info:
It affects both i386, x86-64 and also epel. The link exists in Fedora 7
(libgdiplus-1.2.3-1.fc7).

I have found this, when i tried to run an attached aspx page.
1.Download this index.aspx to some directory.
2.Run command 'xsp2' in this directory
3.Open url http://localhost:8080 in web browser

Now it fails with error:
<pre>
Parser Error

Description: Error parsing a resource required to service this request. Review
your source file and modify it to fix this error.
Error message:
Color red is not a valid color.
</pre>

Now in /usr/lib (or /usr/lib64) do
ln -s libgdiplus.so.0.0.0 libgdiplus.so
and reload that page.
Now it shows correct result.
Comment 1 Jirka Jurek 2007-12-03 18:35:05 EST
Created attachment 276421 [details]
aspx page, which doesn't work with currrent libgdiplus
Comment 2 Jirka Jurek 2007-12-04 08:43:06 EST
Comment on attachment 276421 [details]
aspx page, which doesn't work with currrent libgdiplus

<html>
<body>
<asp:label runat="server" ForeColor="red">Label</asp:label>
</body>
</html>
Comment 3 Jirka Jurek 2008-02-04 01:31:09 EST
I have just noticed, that the missing link is part of libgdiplus-devel package.
IMHO it should be part of libgdiplus.
Comment 4 Bug Zapper 2008-11-26 03:49:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:24:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.